{ pkgs
, lib
, config
, ... }: with lib; let
  cfg = config.passthrough.steam;
  enable = cfg.enable && (cfg.allUsers || (config.home.username == "app"));
  package = config.programs.steam.package;
in mkIf enable {
  home.packages = with pkgs; [
    cfg.package
    cfg.package.run
  ];

  wayland.windowManager.sway.config.window.commands = [
    { criteria.class = "steam"; command = "floating enable"; }
  ];
}
